<div *ngIf="profile; then login else nologin"></div>
<ng-template #login>

<p>
You are logged in  {{ username }}.
</p>
<div>
  Teams:
  <ul>
    <li *ngFor="let item of teams">{{item.name}}</li>
  </ul>
</div>

  <form (ngSubmit)="onSubmit(teamForm)" #teamForm="ngForm" name="teamForm">
    <div class="form-group">
      <label for="addTeamName"><strong>Team Name: </strong></label>
      <input
        type="text"
        class="form-control"
        ngModel
        name="addTeamName"
        required
        #addTeamName="ngModel"
        placeholder="Enter team name"
        >
    </div>
    <button
      mat-raised-button
      type="submit"
      class="btn btn-primary"
      id="btn-add-team">
      Submit
    </button>
  </form>
</ng-template>
<ng-template #nologin>
  <h4>Please <a href="/login">Login</a></h4>
</ng-template>
